For the complete documentation index, see llms.txt. This page is also available as Markdown.

Model

Read LLM models from supported providers

Listing LLM models from supported providers

get

Retrieves available LLM models from supported LLM providers: OpenAI, Anthropic, and Google.

Required scopes
This endpoint requires the following scopes:
  • : Needed to read AI agents.
Authorizations
OAuth2clientCredentialsRequired
Token URL:
Path parameters
tenantstringRequired

Your Emporix tenant name.

Note: The tenant name should always be provided in lowercase.

Responses
200

List of models grouped by LLM provider.

application/json
providerstring · enumRequired

Type of the LLM Provider. The supported providers allows you to provide your own API key. When using this providers, the apiKey property cannot be omitted.

Example: openaiPossible values:
get/ai-service/{tenant}/agentic/models
GET /ai-service/{tenant}/agentic/models HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
  {
    "provider": "openai",
    "models": [
      {
        "id": "gpt-4.1-mini",
        "name": "gpt-4.1-mini"
      }
    ]
  },
  {
    "provider": "anthropic",
    "models": [
      {
        "id": "claude-opus-4-6",
        "name": "Claude Opus 4.6",
        "thinking": true
      },
      {
        "id": "claude-haiku-3-5",
        "name": "Claude Haiku 3.5",
        "thinking": false
      }
    ]
  },
  {
    "provider": "google",
    "models": [
      {
        "id": "gemini-3.1-flash-lite",
        "name": "Gemini 3.1 Flash Lite",
        "description": "Gemini 3.1 Flash Lite",
        "thinking": true
      }
    ]
  }
]

Last updated

Was this helpful?